<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>Motion xref</title>
<link type="text/css" rel="stylesheet" href="../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../apidocs/model/Element/Motion.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">package</strong> model.Element;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> model.Map;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_comment">// TODO: Auto-generated Javadoc</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> * The Class Motion.</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../model/Element/Motion.html">Motion</a> <strong class="jxr_keyword">extends</strong> <a href="../../model/Element/Element.html">Element</a> <strong class="jxr_keyword">implements</strong> <a href="../../model/Element/Moves.html">Moves</a> {
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  	<em class="jxr_javadoccomment">/** The movement. */</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  	<strong class="jxr_keyword">boolean</strong> movement = false;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_javadoccomment">	 * Instantiates a new motion.</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_javadoccomment">	 * @param sprite the sprite</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<strong class="jxr_keyword">public</strong> <a href="../../model/Element/Motion.html">Motion</a>(String sprite) {
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  		<strong class="jxr_keyword">super</strong>(sprite);
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	}
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment">	 * Free place.</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment">	 * @return true, if successful</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> freePlace(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  		<strong class="jxr_keyword">if</strong> ((map.getOnTheMapXY(x, y).getSprite() == <span class="jxr_string">"VOID.jpg"</span>)
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  				|| ((map.getOnTheMapXY(x, y).getSprite() == <span class="jxr_string">"PLAYER.jpg"</span>) &amp;&amp; <strong class="jxr_keyword">this</strong>.movement)
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  				|| ((map.getOnTheMapXY(x, y).getSprite() == <span class="jxr_string">"ENEMY.jpg"</span>) &amp;&amp; <strong class="jxr_keyword">this</strong>.movement)) {
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  			<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		} <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  			<strong class="jxr_keyword">return</strong> false;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  		}
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  	}
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <em class="jxr_javadoccomment">	 * Move.</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment">	 * @param x         the x</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * @param y         the y</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * @param direction the direction</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 * @param map       the map</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  	@Override
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> move(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <strong class="jxr_keyword">int</strong> direction, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  		<em class="jxr_comment">// System.out.println(map.getOnTheMapXY(x, y+1).getSprite());</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  		<strong class="jxr_keyword">if</strong> (<strong class="jxr_keyword">this</strong>.freePlace(x, y + 1, map)) {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  			<strong class="jxr_keyword">this</strong>.moveDown(x, y, map);
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  			<strong class="jxr_keyword">this</strong>.movement = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  			<em class="jxr_comment">// System.out.println(movement);</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  		} <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  			<strong class="jxr_keyword">this</strong>.movement = false;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		}
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  		<strong class="jxr_keyword">if</strong> (<strong class="jxr_keyword">this</strong>.freePlace(x - 1, y, map) &amp;&amp; <strong class="jxr_keyword">this</strong>.freePlace(x - 1, y + 1, map)
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  				&amp;&amp; ((map.getOnTheMapXY(x, y + 1).getSprite() == <span class="jxr_string">"ROCK.jpg"</span>)
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  						|| (map.getOnTheMapXY(x, y + 1).getSprite() == <span class="jxr_string">"DIAMOND.jpg"</span>))) {
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  			<strong class="jxr_keyword">this</strong>.moveLeft(x, y, map);
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  		}
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  		<strong class="jxr_keyword">if</strong> (<strong class="jxr_keyword">this</strong>.freePlace(x + 1, y, map) &amp;&amp; <strong class="jxr_keyword">this</strong>.freePlace(x + 1, y + 1, map)
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  				&amp;&amp; ((map.getOnTheMapXY(x, y + 1).getSprite() == <span class="jxr_string">"ROCK.jpg"</span>)
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  						|| (map.getOnTheMapXY(x, y + 1).getSprite() == <span class="jxr_string">"DIAMOND.jpg"</span>))) {
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  			<strong class="jxr_keyword">this</strong>.moveRight(x, y, map);
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  		}
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	}
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 * Destruction.</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	@Override
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> destruction(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  		map.setOnTheMapXY(<strong class="jxr_keyword">new</strong> <a href="../../model/Element/Empty.html">Empty</a>(), x, y);
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  	}
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  <em class="jxr_javadoccomment">	 * Move up.</em>
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 	@Override
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> moveUp(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 		<em class="jxr_comment">// void</em>
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 	}
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L107" href="#L107">107</a> <em class="jxr_javadoccomment">	 * Move down.</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 	@Override
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> moveDown(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 		map.getOnTheMapXY(x, y + 1).walkOver(x, y, 'd', map);
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 	}
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> <em class="jxr_javadoccomment">	 * Move left.</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 	@Override
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> moveLeft(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 		map.getOnTheMapXY(x + 1, y).walkOver(x, y, 'l', map);
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	}
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <em class="jxr_javadoccomment">	 * Move right.</em>
<a class="jxr_linenumber" name="L132" href="#L132">132</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L133" href="#L133">133</a> <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L136" href="#L136">136</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 	@Override
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> moveRight(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, <a href="../../model/Map.html">Map</a> map) {
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 		map.getOnTheMapXY(x - 1, y).walkOver(x, y, 'r', map);
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 	}
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 
<a class="jxr_linenumber" name="L142" href="#L142">142</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2019. All rights reserved.</div>
</body>
</html>
